import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:risecx_chat_client/models/models.dart';

class TextMessageWidget extends StatelessWidget {
  final dynamic message;

  const TextMessageWidget({Key key, this.message}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    TextMessageModel textModel = TextMessageModel.fromJson(message);
    return Text(textModel.text);
  }
}
